package engine_test

import (
	"git.fromouter.space/mcg/draft/mlp"
	"git.fromouter.space/mcg/mlp-server-tools/rulebot/engine"
)

var cards = map[string]engine.Card{
	"pr15": engine.Card{
		Info: mlp.Card{
			ID:      "pr15",
			Name:    "Rainbow Dash",
			Subname: "Weather Leader",
			Type:    "Friend",
			Text:    "Main Phase: Exhaust this card to ready another one of your cards.",
		},
		Activated: []engine.ActivatedAbility{
			engine.ActivatedAbility{
				Timing: engine.TimeMainPhase,
				Ability: engine.Ability{
					Requirements: []engine.Effect{
						engine.Effect{
							Type:       engine.EfExhaust,
							TargetType: engine.TargetThisCard,
						},
					},
					Effects: []engine.Effect{
						engine.Effect{
							Type:       engine.EfReady,
							TargetType: engine.TargetOwnCard,
						},
					},
				},
			},
		},
	},
}
