package engine

// Event is an event that happened in a game
type Event struct {
	Type EventType
}

// EventType is a type of event
type EventType string

// All event types
const (
	EvtPlayCard   EventType = "card played"         // when * play
	EvtEntersPlay EventType = "card entered play"   // when * enters play
	EvtLeavesPlay EventType = "card left play"      // when * leaves play
	EvtMove       EventType = "card moved"          // when you move *
	EvtConfront   EventType = "problem confrontend" // when you confront * problem
	EvtWinFaceoff EventType = "faceoff won"         // when you win a faceoff

	// Card-specific events
	EvtLostTokens EventType = "player lost tokens" // when an opponent loses * action tokens
	EvtDrawn      EventType = "player drew a card" // when * draws a card

	// Troublemaker events
	EvtTMUncovered  EventType = "tm uncovered"  // when this card is uncovered
	EvtTMChallenged EventType = "tm challenged" // when an opponent challenges *
	EvtTMDefeated   EventType = "tm defeated"   // when this card is defeated
)
